Search memories using semantic similarity. Filter by tag fields to narrow results.
Use tag_1 through tag_12 for filtering - these are generic indexed fields you define:
curl --request POST \
--url https://api.case.dev/memory/v1/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"tag_1": "<string>",
"tag_2": "<string>",
"tag_3": "<string>",
"tag_4": "<string>",
"tag_5": "<string>",
"tag_6": "<string>",
"tag_7": "<string>",
"tag_8": "<string>",
"tag_9": "<string>",
"tag_10": "<string>",
"tag_11": "<string>",
"tag_12": "<string>",
"category": "<string>",
"top_k": 10
}
'{
"results": [
{
"id": "<string>",
"memory": "<string>",
"score": 123,
"tags": {
"tag_1": "<string>",
"tag_2": "<string>",
"tag_3": "<string>",
"tag_4": "<string>",
"tag_5": "<string>",
"tag_6": "<string>",
"tag_7": "<string>",
"tag_8": "<string>",
"tag_9": "<string>",
"tag_10": "<string>",
"tag_11": "<string>",
"tag_12": "<string>"
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}API key starting with sk_case_
Search query for semantic matching
Filter by tag_1
Filter by tag_2
Filter by tag_3
Filter by tag_4
Filter by tag_5
Filter by tag_6
Filter by tag_7
Filter by tag_8
Filter by tag_9
Filter by tag_10
Filter by tag_11
Filter by tag_12
Filter by category
Maximum number of results to return
1 <= x <= 100Search results
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.case.dev/memory/v1/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"tag_1": "<string>",
"tag_2": "<string>",
"tag_3": "<string>",
"tag_4": "<string>",
"tag_5": "<string>",
"tag_6": "<string>",
"tag_7": "<string>",
"tag_8": "<string>",
"tag_9": "<string>",
"tag_10": "<string>",
"tag_11": "<string>",
"tag_12": "<string>",
"category": "<string>",
"top_k": 10
}
'{
"results": [
{
"id": "<string>",
"memory": "<string>",
"score": 123,
"tags": {
"tag_1": "<string>",
"tag_2": "<string>",
"tag_3": "<string>",
"tag_4": "<string>",
"tag_5": "<string>",
"tag_6": "<string>",
"tag_7": "<string>",
"tag_8": "<string>",
"tag_9": "<string>",
"tag_10": "<string>",
"tag_11": "<string>",
"tag_12": "<string>"
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}